kr.co.hanwha.hifive.network.hanwha

## Class HanwhaNetworkUtil

- java.lang.Object
- - kr.co.hanwha.hifive.network.hanwha.HanwhaNetworkUtil

Direct Known Subclasses:
  HFNetworkUtil

    public class HanwhaNetworkUtil
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 11..

### Constructor Summary

Constructors
Constructor and Description
`HanwhaNetworkUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getAmpersandWithParam(java.lang.String key, int value)`
`static java.lang.String` `getAmpersandWithParam(java.lang.String key, long value)`
`static java.lang.String` `getAmpersandWithParam(java.lang.String key, java.lang.String value)`
`static java.lang.String` `getAmpersandWithParamURLEncoding(java.lang.String key, java.lang.String value)`
`static java.lang.String` `getParam(java.lang.String key, java.lang.String value)` Default Methods
`static java.lang.String` `getParamURLEncoding(java.lang.String key, java.lang.String value)`
`static java.lang.String` `getQuestionmarkWithParam(java.lang.String key, int value)`
`static java.lang.String` `getQuestionmarkWithParam(java.lang.String key, java.lang.String value)`
`static java.lang.String` `getQuestionmarkWithParamURLEncoding(java.lang.String key, java.lang.String value)`
`static java.lang.String` `getSlashWithParam(int value)`
`static java.lang.String` `getSlashWithParam(java.lang.String value)`
`static java.lang.String` `getURLEncoding(java.lang.String value)`
`static boolean` `isNetworkConnected(android.content.Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HanwhaNetworkUtil

    public HanwhaNetworkUtil()

### Method Detail

#### isNetworkConnected

    public static boolean isNetworkConnected(@NonNull
                                             android.content.Context context)

#### getParam

    public static java.lang.String getParam(java.lang.String key,
                                            java.lang.String value)

Default Methods

#### getParamURLEncoding

    public static java.lang.String getParamURLEncoding(java.lang.String key,
                                                       java.lang.String value)

#### getQuestionmarkWithParamURLEncoding

    public static java.lang.String getQuestionmarkWithParamURLEncoding(java.lang.String key,
                                                                       java.lang.String value)

#### getQuestionmarkWithParam

    public static java.lang.String getQuestionmarkWithParam(java.lang.String key,
                                                            java.lang.String value)

#### getQuestionmarkWithParam

    public static java.lang.String getQuestionmarkWithParam(java.lang.String key,
                                                            int value)

#### getAmpersandWithParam

    public static java.lang.String getAmpersandWithParam(java.lang.String key,
                                                         java.lang.String value)

#### getAmpersandWithParam

    public static java.lang.String getAmpersandWithParam(java.lang.String key,
                                                         int value)

#### getAmpersandWithParam

    public static java.lang.String getAmpersandWithParam(java.lang.String key,
                                                         long value)

#### getAmpersandWithParamURLEncoding

    public static java.lang.String getAmpersandWithParamURLEncoding(java.lang.String key,
                                                                    java.lang.String value)

#### getSlashWithParam

    public static java.lang.String getSlashWithParam(java.lang.String value)

#### getSlashWithParam

    public static java.lang.String getSlashWithParam(int value)

#### getURLEncoding

    public static java.lang.String getURLEncoding(java.lang.String value)